Subject: Re: [RFC] ipv6: dst_allfrag() not taken into account by TCP

From: Tore Anderson <[email-masked]>
Date: Wed, 18 Jan 2012 16:14:40 +0100

* Eric Dumazet

> Le mercredi 18 janvier 2012 à 15:43 +0100, Tore Anderson a écrit :
> 
>> Another way of solving it and avoiding the Fragmentation headers
>> altogether would be to allow the "route MTU" to drop below 1280 as a
>> result of Path MTU Discovery. I opened an enchancement bug report
>> requesting this:
>> 
>> https://bugzilla.kernel.org/show_bug.cgi?id=42599
> 
> Please dont open bugzilla entries for this kind of stuff, since there is
> no bug in this case.

Okay...but then what is the «enhanchement» severity's intended use?

> netdev is more appropriate to discuss future improvements.

No problem. Bottom line, I'd like a "min_pmtu" IPv6 sysctl or something
similar that would allow me to configure it so that the kernel would 
accept an arbitrary low PMTU being received in an ICMPv6 PTB. That 
would prevent having to deal with the Fragmentation headers completely.

Best regards,
-- 
Tore Anderson